centos6.264位系统,被gcc搞到我漰溃了。-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

centos6.264位系统,被gcc搞到我漰溃了。

ap5001p1v 2012-07-27 18:30:04 13940
刚开始用yum安装apahce php mysql,没问题,但后来发现php的一个hash漏洞很严重,yum安装的打不了补丁(也许是我不会),只有换php版本,但找不到可以换到合适的php版本的方法。所以只能手动编译安装了,卸载了用yum安装的apache php mysql,并下载好了相关安装包,解压,然后安装需要用到的组件,gcc就是其中之一。  yum install gcc安装不了,试了很多方法,最后以为是系统被我搞出问题了,所以重装,再试安装gcc,不行,再重装,还是不行,这下我以为是yum源有问题,换到163源,再安装gcc,不行,再换到sohu源,再安装,又不行,再换到中国科技大学的yum源,还是不行。
这搞下来,我放弃了,精神漰溃了已经,有高手能在阿里云centos6.2 64位系统安装gcc和 gcc-c  吗?请教一下怎么装的?
centos系统gcc CentOS 6系统
分享到
取消 提交回答
全部回答(13)
  • xfzx.org
    2012-10-26 20:58:38
    Recentos6.264位系统,被gcc搞到我漰溃了。
    1楼正解。
    0 0
  • zhengweisk
    2012-10-26 17:07:34
            
    0 0
  • qhgongzi
    2012-10-25 08:42:56
    Recentos6.264位系统,被gcc搞到我漰溃了。
    现在 的站长都好高级,gcc都要会- -
    0 0
  • kumotobi
    2012-10-25 01:12:07
    cao 难怪DA怎么装都装不上
    0 0
  • tuantuan
    2012-08-18 15:13:12
    Recentos6.264位系统,被gcc搞到我漰溃了。
    exclude的范围太大了,本意是避免升级内核(毕竟内核升级有很大的不稳定因素,最简单的方法是禁止升级), 不过用kernel*会匹配任何kernel开头的软件包,包括kernel-headers kernel-devel等等。

    而gcc安装的时候会依赖kernel-headers,准确地说是gcc依赖的glibc-devel依赖这个包。所以在安装gcc的时候,会因为依赖无法安装而导致安装失败。
    0 0
  • myclub
    2012-08-18 14:29:14
    Recentos6.264位系统,被gcc搞到我漰溃了。
    的确是这个问题
    0 0
  • www.tlfjw.com
    2012-08-02 21:29:50
    Recentos6.264位系统,被gcc搞到我漰溃了。
    楼上各位大佬,gcc是什么?

    -------------------------

    Recentos6.264位系统,被gcc搞到我漰溃了。
    http://baike.baidu.com/view/4848.htm
    gcc是开发环境,用不上哦
    0 0
  • liming837
    2012-08-02 19:46:29
    回 1楼(jiyunjie) 的帖子
    你是个好同志。。

    -------------------------

    回 10楼(www.tlfjw.com) 的帖子
    可能还是用的上。。
    0 0
  • ap6371e0f
    2012-08-02 19:41:29
    Recentos6.264位系统,被gcc搞到我漰溃了。
    被搞晕了
    改了就好了
    不能装gcc
    搞毛啊
    还有,每次找源都半天
    不能自己搞个吗
    0 0
  • ap5001p1v
    2012-07-27 20:58:18
    回1楼jiyunjie的帖子
    非常感谢!

    -------------------------

    回2楼jiyunjie的帖子
    期待呀
    0 0
  • tftaxis
    2012-07-27 20:26:49
    我32位,直接装的gcc,yum install
    0 0
  • dirnet
    2012-07-27 20:22:03
    Recentos6.264位系统,被gcc搞到我漰溃了。
    先安装kernel-headers包,再装gcc也没问题
    0 0
  • jiyunjie
    2012-07-27 18:55:57
    Recentos6.264位系统,被gcc搞到我漰溃了。
    /etc/yum.conf 然后找到这行:
    exclude=kernel*
    修改为:
    exclude=
    就可以安装 gcc 了。

    -------------------------

    Recentos6.264位系统,被gcc搞到我漰溃了。
    32位不需要修改,62位系统需要修改的
    回来有空我配置的时候搞个记录给你们
    0 0
滑动查看更多
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

相似问题
最新问题